Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::TextReader Class Reference

テキストリーダ More...

`#include <TextReader.h>`

Inheritance diagram for Lamp::TextReader:

List of all members.

## Public Member Functions
virtual | ~TextReader ()
| デストラクタ
virtual TextReader * | cloneTextReader ()=0
| テキストリーダの複製
virtual Reader * | cloneReader ()
| リーダの複製
virtual String | readLine ()
| 文字列の一行読み込み
## Protected Member Functions
| TextReader (int bufferSize=4096)
| コンストラクタ
int | getBufferSize () const
| バッファサイズの取得
virtual void | copyTextReaderData (TextReader *destination)
| テキストリーダデータのコピー

## Detailed Description

テキストリーダ

Definition at line 36 of file TextReader.h.

## Constructor & Destructor Documentation

Lamp::TextReader::TextReader | ( | int | bufferSize = 4096 | ) | `[protected]`

  | コンストラクタ Parameters:
  bufferSize | バッファサイズ
Definition at line 33 of file TextReader.cpp.

## Member Function Documentation

virtual Reader* Lamp::TextReader::cloneReader | ( |  | ) | `[inline, virtual]`

| リーダの複製 Returns: 複製されたリーダ Implements Lamp::Reader. Definition at line 53 of file TextReader.h. References cloneTextReader().

virtual TextReader* Lamp::TextReader::cloneTextReader | ( |  | ) | `[pure virtual]`

| テキストリーダの複製 Returns: 複製されたテキストリーダ Implemented in Lamp::TextFileReader, and Lamp::TextMemoryReader. Referenced by cloneReader().

void Lamp::TextReader::copyTextReaderData | ( | TextReader * | destination | ) | `[protected, virtual]`

  | テキストリーダデータのコピー Parameters:
  destination | コピー先テキストリーダ
Definition at line 110 of file TextReader.cpp. References buffer_, filePosition_, output_, position_, and readSize_. Referenced by Lamp::TextFileReader::cloneTextFileReader(), and Lamp::TextMemoryReader::cloneTextMemoryReader().

int Lamp::TextReader::getBufferSize | ( |  | ) | const`[inline, protected]`

| バッファサイズの取得 Returns: バッファサイズ Definition at line 74 of file TextReader.h. Referenced by Lamp::TextFileReader::cloneTextFileReader(), and Lamp::TextMemoryReader::cloneTextMemoryReader().

String Lamp::TextReader::readLine | ( |  | ) | `[virtual]`

| 文字列の一行読み込み このメソッドを使用すると、改行コードの変換が行われます。 Returns: 読み出した文字列 Definition at line 48 of file TextReader.cpp. References Lamp::Reader::getPosition(), Lamp::Reader::getSize(), Lamp::Reader::readBytes(), and Lamp::Reader::setPosition(). Referenced by Lamp::SceneFilter::filter(), and Lamp::SoundList::load().

The documentation for this class was generated from the following files:

- TextReader.h
- TextReader.cpp